run.bash: compile the codewalks
They could be tested but that requires more than seems wise right now.

Update #2648.

R=golang-dev, dsymonds
CC=golang-dev
https://golang.org/cl/5908054
diff --git a/src/run.bash b/src/run.bash
index ff2e88f..ddd5582 100755
--- a/src/run.bash
+++ b/src/run.bash
@@ -74,6 +74,13 @@
 ./test.bash
 ) || exit $?
 
+(xcd ../doc/codewalk
+# TODO: test these too.
+go build pig.go
+go build urlpoll.go
+rm -f pig urlpoll
+) || exit $?
+
 echo
 echo '#' ../misc/dashboard/builder ../misc/goplay
 go build ../misc/dashboard/builder ../misc/goplay